Summary:	A Commodore 64 music player and SID chip emulator library
Summary(pl.UTF-8):	Biblioteka odtwarzająca muzyczki z Commodore 64 i emulująca układ SID
Name:		libsidplay
Version:	1.36.60
Release:	2
License:	GPL v2+
Group:		Libraries
Source0:	http://home.arcor.de/ms2002sep/bak/%{name}-%{version}.tar.bz2
# Source0-md5:	46c5ceccd31636e3f83774dd0b3d4003
# dead together with geocities
#URL:		http://www.geocities.com/SiliconValley/Lakes/5147/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library provides the Sound Interface Device (SID) chip emulator
engine that is used by music player programs like SIDPLAY. With it you
can play musics from Commodore 64 (or compatible) programs.

%description -l pl.UTF-8
Ta biblioteka zawiera emulator układu SID (Sound Interface Device),
który jest używany przez programy odtwarzające muzykę jak np. SIDPLAY.
Przy jej pomocy można odtwarzać muzyczki z programów dla Commodore 64
(i kompatybilnych).

%package devel
Summary:	Header files for compiling apps that use libsidplay
Summary(pl.UTF-8):	Pliki nagłówkowe do budowania aplikacji używających libsidplay
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
This package contains the header files for compiling applications that
use libsidplay.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do budowania aplikacji używających
biblioteki libsidplay.

%package static
Summary:	Static libsidplay library
Summary(pl.UTF-8):	Statyczna biblioteka libsidplay
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static version of libsidplay.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną wersję libsidplay.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_libdir}/libsidplay.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsidplay.so.1

%files devel
%defattr(644,root,root,755)
%doc DEVELOPER src/fastforward.txt src/mixing.txt src/mpu.txt src/panning.txt
%attr(755,root,root) %{_libdir}/libsidplay.so
%{_libdir}/libsidplay.la
%{_includedir}/sidplay

%files static
%defattr(644,root,root,755)
%{_libdir}/libsidplay.a
%changelog
* Tue May 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsidplay.git;a=log;h=master

* Tue May 05 2015 Jan Rękorajski <baggins@pld-linux.org> 6b64cb0
- x32 rebuild
- release 2 (by relup.sh)

* Wed Dec 15 2010 Jakub Bogusz <qboosh@pld-linux.org> e3862f8
- new Source0 URL, project site is gone
- updated to 1.36.60
- removed bogus gcc34 patch

* Tue Mar 11 2008 darekr <darekr@pld-linux.org> 9ec4acb
- BR: libtool

* Tue Mar 11 2008 hawk <hawk@pld-linux.org> 78d6af9
- %(__libtoolize}, %{__aclocal}, fixes "hidden symbol `stat' in
  /usr/lib/libc_nonshared.a(stat.oS) is referenced by DSO"
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1ed9429
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 482cfd7
- converted to UTF-8

* Wed Feb 22 2006 freetz <freetz@pld-linux.org> 5b6755d
- rel.2 for th

* Mon Jan 03 2005 Jakub Bogusz <qboosh@pld-linux.org> 6d4d1f2
- BR+R libstdc++-devel

* Sat Jan 01 2005 wolf <wolf@pld-linux.org> 50170cb
- 1.36.59

* Sat Sep 25 2004 radek <radek@pld-linux.org> 550119b
- cosmetics (spaces -> tabs)

* Sat Jun 26 2004 grzegol <grzegol@pld-linux.org> 3d94a0e
- fix building with gcc-3.4

* Sat Jun 26 2004 grzegol <grzegol@pld-linux.org> fff1d97
- added gcc34 patch

* Mon Apr 05 2004 Jakub Bogusz <qboosh@pld-linux.org> e516cfa
- release 3

* Sun Apr 04 2004 grzegol <grzegol@pld-linux.org> f7c2254
- copy config.sub to scripts directory

* Sun Apr 04 2004 grzegol <grzegol@pld-linux.org> 3dfe87c
- copy config.sub

* Sun Apr 04 2004 grzegol <grzegol@pld-linux.org> 149ee75
- strict internal deps
- rel. 2

* Sun May 25 2003 Michal Moskal <michal@moskal.me> ca5df6e
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> d6ea571
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Nov 08 2002 Jakub Bogusz <qboosh@pld-linux.org> 70fcda7
- pl description, cleanups, BR: autoconf

* Fri Nov 08 2002 aflinta <aflinta@pld-linux.org> fb81ca7
- initial release

